Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::ShellPairsCints Class Reference

ShellPairsCints contains primitive pair data for all shell pairs. More...

`#include <shellpairs.h>`

Inheritance diagram for sc::ShellPairsCints:

[legend]
Collaboration diagram for sc::ShellPairsCints:

[legend]
List of all members.

## Public Methods

| ShellPairsCints (const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &)
| ShellPairsCints (const Ref< ShellPairsCints > &)
| ShellPairsCints (const Ref< KeyVal > &)
| ShellPairsCints (StateIn &)
| ~ShellPairsCints ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
ShellPairCints * | shell_pair (int si, int sj) const

## Friends

void | init_shell_pair (ShellPairsCints &)

## Detailed Description

ShellPairsCints contains primitive pair data for all shell pairs.

## Member Function Documentation

void sc::ShellPairsCints::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- shellpairs.h